C**********************************************
C
C This is the include file for the Mode 
C Definition common block definition.
C
C Date:4/12/95
C
C Modified :14/6/99 - added in HPmode to do horizontal velocity field
C                     phase shifts
C
C          22/06/00 - changed AAmode and APmode to TAmode and TPmode,
C                     respectively, to allow specification of temperature
C                     perturbation amplitudes and phases, respectively
C
C          22/06/00 - introduced HAmode to allow specification of horizontal
C                     velocity field amplitudes
C
C          25/06/00 - introduced numode, to allow specification of nu
C
C          20/09/00 - added in PAmode and PPmode for specification of pressure
C                     perturbation amplitudes and phases, respectively
C
C**********************************************

      double precision VAmode(maxmde)   ! The velocity-amplitudes of the modes
      double precision NAmode(maxmde)	! The normalizing amplitudes of the modes (for off-axis)
      double precision Kmode(maxmde)	! The K-values of the modes
      double precision CFmode(maxmde)   ! The corotating angular frequencies of the modes
      double precision IPmode(maxmde)	! The initial phase of the modes (radians)
      double precision TAmode(maxmde)	! The temperature perturbation amplitude of the modes
      double precision TPmode(maxmde)   ! The temperature perturbation phase of the modes (radians)
      double precision PAmode(maxmde)	! The pressure perturbation amplitude of the modes
      double precision PPmode(maxmde)   ! The pressure perturbation phase of the modes (radians)
      double precision HAmode(maxmde)   ! The horizontal velocity field amplitude of the modes
      double precision HPmode(maxmde)   ! The horizontal velocity field phase of the modes (radians)
      double precision numode(maxmde)   ! The nu-values of the modes
      integer NModes	       		! The number of modes read in
      integer Lmode(maxmde)		! The L-values of the modes
      integer Mmode(maxmde)		! The M-values of the modes
      integer Jmode(maxmde)		! The J-values of the modes
      logical parity(maxmde)		! The parities of the modes

      common /ModDef/ VAmode, NAmode, Kmode,
     :                CFmode, IPmode, TAmode,
     :                TPmode, HAmode, HPmode,
     :                PAmode, PPmode,
     :                numode, NModes, 
     :                Lmode, Mmode, Jmode,
     :                parity
